//CFTTAndroidKeychainAccess - [2020-04-13 11:57:46]
#ifndef _CFTTANDROIDKEYCHAINACCESS_H_
#define _CFTTANDROIDKEYCHAINACCESS_H_

#include "common.h"

/*

0026ACEC CFTTAndroidKeychainAccess::CFTTAndroidKeychainAccess(wchar_t const*)
0026AD58 CFTTAndroidKeychainAccess::SearchKeyChain(wchar_t const*)
0026ADFC CFTTAndroidKeychainAccess::CreateKeyChainValue(wchar_t const*,wchar_t const*)
0026AE7C CFTTAndroidKeychainAccess::UpdateKeyChainValue(wchar_t const*,wchar_t const*)

0x402
*/

void FTTAndroidKeyChain_Init();

class CFTTAndroidKeychainAccess {
public:
  CFTTAndroidKeychainAccess(wchar_t const*);                 //0026ACEC
  wchar_t* SearchKeyChain(wchar_t const*);                   //0026AD58
  bool CreateKeyChainValue(wchar_t const*, wchar_t const*);  //0026ADFC
  bool UpdateKeyChainValue(wchar_t const*, wchar_t const*);  //0026AE7C

  wchar_t wbuf_0[0x100];
  wchar_t wbuf_200[0x101];
};

#endif  //_CFTTANDROIDKEYCHAINACCESS_H_